Class {
	#name : #BemblinDict,
	#superclass : #Object,
	#instVars : [
		'host',
		'port',
		'word'
	],
	#category : #Bemblin
}

{ #category : #accessing }
BemblinDict >> getWord: aString [
	| json |
	json := ZnClient new
			get: 'https://' , host , ':' , port asString , '/Word/' , aString.
	word := STON fromString: json
]

{ #category : #accessing }
BemblinDict >> viewWord: aView [
	<gtView>
	^ aView columnedList
		title: 'Word';
		priority: 1;
		items: [ {word} ];
		column: 'Word' text: [:w | w at: 'word' ];
		column: 'Translation' text: [:w | w at: 'translation' ].
]

{ #category : #accessing }
BemblinDict >> withHost: aString andPort: anInteger [
	host := aString.
	port := anInteger
]
